
%global meadversion 1.0.15
%global namedversion 1.0.15.redhat-1
%global meadalpha .1.redhat_1
%global meadrel %{nil}
%global serial 5

# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without mead

%define base_name  daemon
%global short_name commons-%{base_name}
%global eap6_name %{short_name}-eap6

%define section    free

%define reltag redhat_1
%define namedreltag -redhat-1
%global namedversion %{version}%{?namedreltag}

# jbnativedir is /usr/share/jbossas  (files must be immutable)
%define jbnativedir %{_datadir}/jbossas/modules/system/layers/base/native

%define maven_version 1.0.15-1.redhat_1.ep6.el6

Name:           apache-commons-daemon-eap6
Version:        1.0.15
Release:        5.%{?reltag}%{?dist}
Epoch:          1
Summary:        Defines API to support an alternative invocation mechanism
License:        ASL 2.0
Group:          Applications/System

%if %with mead
Source102: commons-daemon-1.0.15-redhat-1.pom
Source103: commons-daemon-1.0.15-redhat-1.jar
Source104: commons-daemon-1.0.15-redhat-1-sources.zip
Source105: commons-daemon-1.0.15-redhat-1-sources.jar
Source106: commons-daemon-1.0.15-redhat-1-patches.zip
%endif

URL:            http://commons.apache.org/daemon/

BuildRequires:  jpackage-utils

Requires:       java >= 0:1.6.0
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The scope of this package is to define an API in line with the current
Java(tm) Platform APIs to support an alternative invocation mechanism
which could be used instead of the above mentioned public static void
main(String[]) method.  This specification cover the behavior and life
cycle of what we define as Java(tm) daemons, or, in other words, non
interactive Java(tm) applications.

%prep

%build

%install
rm -rf %{buildroot}

##DEBUG
ls -l %{_sourcedir}

# jars
mkdir -p %{buildroot}%{_javadir}/%{eap6_name}
cp -p %{_sourcedir}/%{short_name}-%{namedversion}.jar \
      %{buildroot}%{_javadir}/%{eap6_name}/%{short_name}-%{namedversion}.jar

ln -s %{short_name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{eap6_name}/%{short_name}.jar
mkdir -p %{buildroot}%{jbnativedir}/sbin/
ln -s %{_javadir}/%{eap6_name}/%{short_name}.jar %{buildroot}%{jbnativedir}/sbin/%{short_name}.jar

%clean
rm -rf %{buildroot}

%pre
JBOSS_SHELL=/sbin/nologin
%{_sbindir}/groupadd -r jboss 2>/dev/null || :
%{_sbindir}/useradd -c JBossAS -r -s $JBOSS_SHELL -d %{_localstatedir}/lib/jbossas -g jboss jboss 2>/dev/null || :

%files
%defattr(0644,root,root,0755)
%{_javadir}*/%{eap6_name}/%{short_name}-%{namedversion}.jar
%{_javadir}*/%{eap6_name}/%{short_name}.jar
%defattr(0644,jboss,jboss,0755)
%dir %{jbnativedir}
%dir %{jbnativedir}/sbin/
%dir %{jbnativedir}/sbin/%{short_name}.jar
%dir %{_datadir}/jbossas
%dir %{_datadir}/jbossas/modules
%dir %{_datadir}/jbossas/modules/system
%dir %{_datadir}/jbossas/modules/system/layers
%dir %{_datadir}/jbossas/modules/system/layers/base

%changelog
* Tue Oct 01 2013 Permaine Cheung <pcheung@redhat.com> - 1:1.0.15-5.redhat_1
- Fix perms in files section

* Tue Apr 23 2013 Fernando Nasser <fnasser@redhat.com> - 1:1.0.15-4.redhat_1
- Match user and group of the modules directory to what is used elsewhere

* Mon Apr 22 2013 Permaine Cheung <pcheung@redhat.com> - 1:1.0.15-3.redhat_1
- Add %%pre to create the jboss user

* Mon Apr 15 2013 Permaine Cheung <pcheung@redhat.com> - 1:1.0.15-2.redhat_1
- Remove R: j-m-eap and own all dirs instead

* Fri Apr 12 2013 Permaine Cheung <pcheung@redhat.com> - 1:1.0.15-1.1.redhat_1
- Make R:jbossas-modules-eap conditional, disabled for RHEL 5 for now

* Thu Apr 11 2013 Permaine Cheung <pcheung@redhat.com> - 1:1.0.15-1.0.redhat_1
- 1.0.15

* Thu Mar 28 2013 Permaine Cheung <pcheung@redhat.com> - 1:1.0.14-1.2.redhat_1
- Add back R:j-m-eap

* Fri Mar 22 2013 Permaine Cheung <pcheung@redhat.com> - 1:1.0.14-1.1.redhat_1
- update jar location

* Mon Mar 18 2013 Permaine Cheung <pcheung@redhat.com> - 1:1.0.14-1.redhat_1
- 1.0.14

* Wed Mar 06 2013 Permaine Cheung <pcheung@redhat.com> - 1:1.0.13-3.redhat_1
- Temporarily comment out R: jbossas-core until it is ready for EAP 6.1.0

* Wed Mar 06 2013 Permaine Cheung <pcheung@redhat.com> - 1:1.0.13-2.redhat_1
- Fix symlink

* Wed Mar 06 2013 Permaine Cheung <pcheung@redhat.com> - 1:1.0.13-1.redhat_1
- 1.0.13
- Add R: jbossas-core and symlinks in AS

* Wed May 23 2012 Permaine Cheung <pcheung@redhat.com> - 1:1.0.10-1.redhat_1
- EAP6/EWS2 Wrapper of jakarta-commons-daemon

